## ros-indigo-pacmod-game-control 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pacmod_game_control)

add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensor_msgs
  pacmod_msgs
  joy
)

catkin_package(CATKIN_DEPENDS
  std_msgs
  sensor_msgs
  pacmod_msgs
  joy
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}/include
)

add_executable(pacmod_game_control_node 
  src/pacmod_game_control_node.cpp
  src/startup_checks.cpp
  src/publish_control_board_rev2.cpp
  src/publish_control_board_rev3.cpp
  src/publish_control.cpp
  src/publish_control_factory.cpp
)

add_dependencies(pacmod_game_control_node
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(pacmod_game_control_node
  ${catkin_LIBRARIES}
)

install(TARGETS pacmod_game_control_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES README.md
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-pacmod-game-control (2.3.0-0trusty) trusty; urgency=high

  * Merge pull request #54 <https://github.com/astuff/pacmod_game_control/issues/54> from astuff/maint/hri_remap_part_two
  * A comment explaining the axes
  * Fixed not publishing turn signal command on board rev 2
  * Handle HRI turn signals seperately from the other controllers
  * Merge pull request #53 <https://github.com/astuff/pacmod_game_control/issues/53> from astuff/maint/hri_remap
  * Changed mapping of HRI enable/disable from U/D to R/L
    This fixes some aberrant behavior that we were seeing with
    EMI in the remote system
  * Merge pull request #51 <https://github.com/astuff/pacmod_game_control/issues/51> from astuff/maint/update_url
  * Updating README and adding URLs to package.xml.
  * Merge pull request #48 <https://github.com/astuff/pacmod_game_control/issues/48> from astuff/feature/clear_fault
  * Refactoring of how we're handling the shifter command
    Mostly just to get rid of repeated code, but also I think
    it's significantly more readable this way.
  * When sending clear_overrides, also send clear_faults
    This update is req'd for Lexus 1.1 and later
  * Merge pull request #47 <https://github.com/astuff/pacmod_game_control/issues/47> from astuff/maint/add_veh_6
  * Contributors: Daniel-Stanek, Joshua Whitley, Mike Lemm, Sam Rustan, Zach Oakes

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 12 Dec 2018 06:00:00 -0000

ros-indigo-pacmod-game-control (2.2.0-0trusty) trusty; urgency=high

  * Merge pull request #44 <https://github.com/astuff/pacmod_game_control/issues/44> from astuff/feat/lexus_braking_curve
  * 0.625 and 6.25 are not the same value
  * Added cubic braking curve
  * Merge pull request #43 <https://github.com/astuff/pacmod_game_control/issues/43> from astuff/feat/multiple_button_enable
  * Press start AND select to enable
  * Merge pull request #42 <https://github.com/astuff/pacmod_game_control/issues/42> from astuff/fix/resume_control_after_estop
  * Changing pacmod_enable flag after return form e-stop
  * Contributors: Joshua Whitley, Kyle Rector, Sam Rustan, Zach Oakes

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-indigo-pacmod-game-control (2.1.0-0trusty) trusty; urgency=high

  * Removing clone of joystick_drivers from Melodic build.
  * Change required brake command from 50% to 25%
  * Adding brake requirement to change currently published shift command
    Before this commit, a shift command could be issued without the brake being
    depressed. After this commit, the brake must be depressed to 50% before a new
    shift command can be issued via the game control node.
  * Headlights fixed and tested.
  * Formatting and trying to get headlights to latch state.
  * Added state change debouncing for button presses between off state, regular headlights, and high beams.
  * Making headlight and wiper states static.
  * Fixed: horn no longer on same button as hazards
  * Fix headlights and wipers remaining enabled.
    On PACMod3, the wipers and headlights would remain enabled on supported
    vehicles when the disable button was pressed. This change makes sure
    that an additional message with enable = false is published when a
    disable occurs and on any button press thereafter until an enable
    occurs.
  * Adding vehicle 6
  * Only cycle between LOW and HIGH on vehicle_5 headlights.
  * Limiting MAX_ROT_RAD for VEH_5 based on testing.
  * Making accel_scale_val apply to all controllers.
  * Removing need to populate redundant launch file param.
  * Adding additional vehicle types.
  * Changes for tuning steering on vehicle 4
  * Corrected formatting & removed deadzone parameter in launch file
  * Added a max rotation calibration value for the G29 steering wheel center-to-lock.
  * Modify startup checks and launch file
    Prior to this commit we used two seperate vehicle types for the pacmod_game_control launch file. This commit compresses this down to one to avoid confusion.
  * Modify buttons for windshield wipers and horn
    Prior to this commit the windshield wipers and horn conflicted with the enable button. This commit fixes this issue by moving these buttons.
  * This commit adds horn and headlights to vehicle 5.
  * Changing MAX_ROT_RANGE for vehicle 4
  * Fixing regression with triggers as accel/brake - takeoff.
    During the reorganization of code into publish_control, a
    regression bug was introduced involving the joystick trigger
    initial values. This commit fixes that bug.
  * PACMod 2 and PACMod 3 use different topics for enabled feedback.
    PACMod 2 used the topic as_tx/enable while PACMod 3 uses
    as_tx/enabled. This fixes this node for use with the enabled version.
  * Removes state_change_debounce. No longer necessary.
    We really only care about the transition of PACMod from enabled
    to disabled and when this transition happens, it should not be
    ignored no matter how recently a state transition has happened
    in the game control node. This implements this logic.
  * Adding Vehicle Type 5.
  * Fixing threading problem with pacmod_enable.
    The pacmod_enable variable can be modified in two separate threads:
    the callback for joy (in the case of a user-initiated enable/disable)
    or the callback for the PACMod's enable status topic (in case of an
    override or other disable). This necessitates having a "local" copy
    of the enable state through the publishing process to keep from having
    to lock/unlock a mutex every time we need the current enable/disable
    state. This commit converts the "local_enable" variable to one that
    is attached to PublishControl and is only updated on a joy callback.
  * Actually implement debounce counter.
    The variables for the enable/disable debounce count existed but
    the recent_state_change variable was never set. Whoops.


=== debian/control ===
Source: ros-indigo-pacmod-game-control
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-joy, ros-indigo-pacmod-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/pacmod_game_control
Standards-Version: 3.9.2

Package: ros-indigo-pacmod-game-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joy, ros-indigo-pacmod-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: ROS Package for controlling the AStuff PACMod with a Joystick

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pacmod-game-control//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
